<?php
/*--------------------------------------------------------------+
| DHTML MENU                              						|
+---------------------------------------------------------------|
| Copyright  2007 - 2008 Edan Boy Pedragosa alias HACKERSOFT	|
| Web: http://hackersoft.ath.cx									|
| E-Mail: edan_niva@yahoo.com									|
+---------------------------------------------------------------+
| JSCookMenu v2.0.3 Copyright 2002-2006							|
| By Heng Yuan													|
+---------------------------------------------------------------+
| This program is released as free software under the			|
| Affero GPL license. You can redistribute it and/or			|
| modify it under the terms of this license which you			|
| can read by viewing the included agpl.txt or online			|
| at www.gnu.org/licenses/agpl.html. Removal of this			|
| copyright header is strictly prohibited without				|
| written permission from the original author(s).				|
+---------------------------------------------------------------*/
global $db_prefix, $settings;
$dhtmlmenuConfig = dbarray(dbquery("SELECT * FROM ".$db_prefix."dhtmlmenuConfig"));
if (isset($_POST['action']) && $_POST['menuToEdit'] == 1) {
	$NewMenuName = "panel-" . date("h.i.sA-dMY",time()) . ".js";
	$BackupFileName = $dhtmlmenuConfig['dhtmlmenu_panel_menuname'];
} else {
	$NewMenuName = "header-" . date("h.i.sA-dMY",time()) . ".js";
	$BackupFileName = $dhtmlmenuConfig['dhtmlmenu_header_menuname'];
}

if (isset($_POST['save_menu']) && $_POST['codeArea']<>""){
	if (!function_exists('DHTMLMenuFunctions')) {
		include INFUSIONS."dhtmlmenu/includes/functions.php";
	}

	//Clean the temp directory first
	foreach (glob(INFUSIONS."dhtmlmenu/temp/" . "*.js") as $file) {
	  unlink($file); 
	}

	copy(INFUSIONS."dhtmlmenu/scripts/menus/" . $BackupFileName, INFUSIONS."dhtmlmenu/scripts/menus/backup/" . $BackupFileName);
	unlink(INFUSIONS."dhtmlmenu/scripts/menus/" . $BackupFileName);

	$codeArea = stripslashes($_POST['codeArea']); 
	$codeArea = ReverseCleanUpCodeForTree($codeArea); 

	$fp1 = @fopen(INFUSIONS."dhtmlmenu/scripts/menus/" . $NewMenuName, "w+"); 
		if ($fp1) { 
			fwrite($fp1, $codeArea); 
			fclose($fp1);
		} 

	if ($_POST['menuToEdit'] == 1) {
		$result = dbquery("UPDATE ".$db_prefix."dhtmlmenuConfig SET dhtmlmenu_panel_menuname='".$NewMenuName."' WHERE dhtmlmenu_id=1");
	} else {
		$result = dbquery("UPDATE ".$db_prefix."dhtmlmenuConfig SET dhtmlmenu_header_menuname='".$NewMenuName."' WHERE dhtmlmenu_id=1");
	}
}


//Get Fresh Configuration Values
$dhtmlmenuConfig = dbarray(dbquery("SELECT * FROM ".$db_prefix."dhtmlmenuConfig"));

$mainSiteRoot = $settings['siteurl']; 
define("MENUSCRIPTS", $mainSiteRoot . "infusions/dhtmlmenu/scripts/");
define("MENUTEMP", $mainSiteRoot . "infusions/dhtmlmenu/temp/");
define("MENUDIR", BASEDIR . "infusions/dhtmlmenu/");

echo "<style type=\"text/css\">
/* ThemeOfficeMenu Style Sheet */

.ThemeOfficeMenu,.ThemeOfficeSubMenuTable
{
	font-family:	arial, verdana, sans-serif;
	font-size:	".$dhtmlmenuConfig['dhtmlmenu_mainItemFontSize'].";
	padding:	0;
	white-space:	nowrap;
	cursor:		pointer;
}

.ThemeOfficeSubMenu
{
	position:	absolute;
	visibility:	hidden;

	/*
	   Netscape/Mozilla renders borders by increasing
	   their z-index.  The following line is necessary
	   to cover any borders underneath
	*/
	z-index:	100;
	border:		0;
	padding:	0;

	overflow:	visible;
	border:		1px solid #8C867B;

	/*filter:progid:DXImageTransform.Microsoft.Shadow(color=#BDC3BD, Direction=135, Strength=4); */
}

.ThemeOfficeSubMenuTable
{
	overflow:	visible;
}

.ThemeOfficeMainItem,.ThemeOfficeMainItemHover,.ThemeOfficeMainItemActive,
.ThemeOfficeMenuItem,.ThemeOfficeMenuItemHover,.ThemeOfficeMenuItemActive
{
	border:		0;
	white-space:	nowrap;
}


.ThemeOfficeMainItem
{
	background-color:	".$dhtmlmenuConfig['dhtmlmenu_mainItemBGColor'].";
	font-size:	".$dhtmlmenuConfig['dhtmlmenu_mainItemFontSize'].";
	color: ".$dhtmlmenuConfig['dhtmlmenu_mainItemFontColor'].";
	height: ".$dhtmlmenuConfig['dhtmlmenu_mainItemHeight'].";
	width: ".$dhtmlmenuConfig['dhtmlmenu_mainItemWidth'].";

}

.ThemeOfficeMainItemHover,.ThemeOfficeMainItemActive
{
	background-color:	".$dhtmlmenuConfig['dhtmlmenu_mainHoverBGColor'].";
	font-size:	".$dhtmlmenuConfig['dhtmlmenu_mainItemFontSize'].";
	color: ".$dhtmlmenuConfig['dhtmlmenu_mainHoverFontColor'].";
	height: ".$dhtmlmenuConfig['dhtmlmenu_mainItemHeight'].";
	width: ".$dhtmlmenuConfig['dhtmlmenu_mainItemWidth'].";

}

.ThemeOfficeMenuItem
{
	background-color:	".$dhtmlmenuConfig['dhtmlmenu_menuItemBGColor'].";
}

.over
{
	color: Red;
	font-weight: bolder;
	font-style: italic
} 

.ThemeOfficeMenuItemHover,.ThemeOfficeMenuItemActive
{
	background-color:	".$dhtmlmenuConfig['dhtmlmenu_menuHoverBGColor'].";
}

/* horizontal main menu */

.ThemeOfficeMainItem
{
	padding: 4px 1px 4px 1px;
	border: 0;
}

td.ThemeOfficeMainItemHover,td.ThemeOfficeMainItemActive
{
	padding:	0px;
	border-right:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-left:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
}

.ThemeOfficeMainFolderLeft,.ThemeOfficeMainItemLeft,
.ThemeOfficeMainFolderText,.ThemeOfficeMainItemText,
.ThemeOfficeMainFolderRight,.ThemeOfficeMainItemRight
{
	background-color:	inherit;
}

/* vertical main menu sub components */

td.ThemeOfficeMainFolderLeft,td.ThemeOfficeMainItemLeft
{
	padding-top:	2px;
	padding-bottom:	2px;
	padding-left:	0px;
	padding-right:	2px;

	border-top:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-bottom:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-left:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";

	background-color:	inherit;
}

td.ThemeOfficeMainFolderText,td.ThemeOfficeMainItemText
{
	padding-top:	2px;
	padding-bottom:	2px;
	padding-left:	5px;
	padding-right:	5px;

	border-top:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-bottom:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";

	background-color:	inherit;
	white-space:	nowrap;
	width: 100%;

}

td.ThemeOfficeMainFolderRight,td.ThemeOfficeMainItemRight
{
	padding-top:	2px;
	padding-bottom:	2px;
	padding-left:	0px;
	padding-right:	0px;

	border-top:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-bottom:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-right:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";

	background-color:	inherit;
}

tr.ThemeOfficeMainItem td.ThemeOfficeMainFolderLeft,
tr.ThemeOfficeMainItem td.ThemeOfficeMainItemLeft
{
	padding-top:	3px;
	padding-bottom:	3px;
	padding-left:	1px;
	padding-right:	2px;

	white-space:	nowrap;

	border:		0;
	background-color:	inherit;

}

tr.ThemeOfficeMainItem td.ThemeOfficeMainFolderText,
tr.ThemeOfficeMainItem td.ThemeOfficeMainItemText
{
	padding-top:	3px;
	padding-bottom:	3px;
	padding-left:	5px;
	padding-right:	5px;

	border:		0;
	background-color:	inherit;
}

tr.ThemeOfficeMainItem td.ThemeOfficeMainItemRight,
tr.ThemeOfficeMainItem td.ThemeOfficeMainFolderRight
{
	padding-top:	3px;
	padding-bottom:	3px;
	padding-left:	0px;
	padding-right:	1px;

	border:		0;
	background-color:	inherit;
}

/* sub menu sub components */

.ThemeOfficeMenuFolderLeft,.ThemeOfficeMenuItemLeft
{
	padding-top:	2px;
	padding-bottom:	2px;
	padding-left:	1px;
	padding-right:	3px;

	border-top:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-bottom:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-left:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";

	background-color:	inherit;
	white-space:	nowrap;
}

.ThemeOfficeMenuFolderText,.ThemeOfficeMenuItemText
{
	padding-top:	2px;
	padding-bottom:	2px;
	padding-left:	5px;
	padding-right:	5px;

	border-top:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-bottom:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";

	background-color:	inherit;
	white-space:	nowrap;
	font-size:	".$dhtmlmenuConfig['dhtmlmenu_menuItemFontSize'].";
	height: ".$dhtmlmenuConfig['dhtmlmenu_menuItemHeight'].";
	color: ".$dhtmlmenuConfig['dhtmlmenu_menuItemFontColor'].";
	width: ".$dhtmlmenuConfig['dhtmlmenu_menuItemWidth'].";

}

.ThemeOfficeMenuFolderRight,.ThemeOfficeMenuItemRight
{
	padding-top:	2px;
	padding-bottom:	2px;
	padding-left:	0px;
	padding-right:	0px;

	border-top:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-bottom:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";
	border-right:	1px solid ".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor'].";

	background-color:	inherit;
	white-space:	nowrap;
}

.ThemeOfficeMenuItem .ThemeOfficeMenuFolderLeft,
.ThemeOfficeMenuItem .ThemeOfficeMenuItemLeft
{
	padding-top:	3px;
	padding-bottom:	3px;
	padding-left:	2px;
	padding-right:	3px;

	white-space:	nowrap;

	border: 	0px;
	background-color:	#DDE1E6;
}

.ThemeOfficeMenuItem .ThemeOfficeMenuFolderText,
.ThemeOfficeMenuItem .ThemeOfficeMenuItemText
{
	padding-top:	3px;
	padding-bottom:	3px;
	padding-left:	5px;
	padding-right:	5px;

	border:		0px;
	background-color:	inherit;
}

.ThemeOfficeMenuItem .ThemeOfficeMenuFolderRight,
.ThemeOfficeMenuItem .ThemeOfficeMenuItemRight
{
	padding-top:	3px;
	padding-bottom:	3px;
	padding-left:	0px;
	padding-right:	1px;

	border:		0;
	background-color:	inherit;
}

/* menu splits */

.ThemeOfficeMenuSplit
{
	margin:		2px;
	height:		1px;
	overflow:	hidden;
	background-color:	inherit;
	border-top:	1px solid #C6C3BD;
}

/* image shadow animation */

/*
	seq1:	image for normal
	seq2:	image for hover and active

	To use, in the icon field, input the following:
	<img class=seq1 src=normal.gif /><img class=seq2 src=hover.gif />
*/

.ThemeOfficeMenuItem img.seq1
{
	display:	inline;
}

.ThemeOfficeMenuItemHover seq2,
.ThemeOfficeMenuItemActive seq2
{
	display:	inline;
}

.ThemeOfficeMenuItem .seq2,
.ThemeOfficeMenuItemHover .seq1,
.ThemeOfficeMenuItemActive .seq1
{
	display:	none;
}


/* inactive settings */
div.inactive td.ThemeOfficeMainItemHover, div.inactive td.ThemeOfficeMainItemActive
{
	border-top: 0px;
	border-right:	1px solid #f1f3f5;
	border-left:	1px solid #f1f3f5;
}

div.inactive .ThemeOfficeMainItem {
	color: #bbb;

}

div.inactive span.ThemeOfficeMainItemText {
	color: #aaa;
}

div.inactive .ThemeOfficeMainItemHover, div.inactive .ThemeOfficeMainItemActive
{
	background-color:	#f1f3f5;
}

.menu-header {
	border-top: solid #C8D5DF; 
	border-top-width: 0px; 
	border-left: solid #C8D5DF; 
	border-left-width: 0px; 
	border-right: solid #C8D5DF; 
	border-right-width:0px; 
	border-bottom: solid #C8D5DF; 
	border-bottom-width:1px;
	padding:0px 15px 0px 15px;
}

.leftFloat{
  float: left;
}

</style>"; 

if (iSUPERADMIN) {
	$ActiveUserGroups = "0.101.102.103".$userdata['user_groups'];
}elseif (iADMIN) {
	$ActiveUserGroups = "0.101.102".$userdata['user_groups'];
} elseif (iMEMBER){
	$ActiveUserGroups = "0.101".$userdata['user_groups'];
}else {
	$ActiveUserGroups = "0";
}

echo "
	<script type=\"text/javascript\">\n 
		var mainSiteRoot =\"$mainSiteRoot\";
		var menuImagesRoot = \"$mainSiteRoot\" + \"infusions/dhtmlmenu/images/\";
		var menuItemFontColor =\"".$dhtmlmenuConfig['dhtmlmenu_menuItemFontColor']."\";
		var menuItemHoverColor =\"".$dhtmlmenuConfig['dhtmlmenu_menuHoverFontColor']."\";
		var mainItemFontColor =\"".$dhtmlmenuConfig['dhtmlmenu_mainItemFontColor']."\";
		var mainItemHoverColor =\"".$dhtmlmenuConfig['dhtmlmenu_mainHoverFontColor']."\";
		var panelmainItemFontColor =\"".$dhtmlmenuConfig['dhtmlmenu_panelmainItemFontColor']."\";
		var panelmainItemHoverColor =\"".$dhtmlmenuConfig['dhtmlmenu_panelmainHoverFontColor']."\";
		var menuAccessLevel =\"".$userdata['user_level']."\";
		var userAccessGroups =\"".$ActiveUserGroups."\";
		var menuItemMOLineStyle =\"".$dhtmlmenuConfig['dhtmlmenu_menuItemMOLineStyle']."\";
		var mainItemHeight =\"".$dhtmlmenuConfig['dhtmlmenu_mainItemHeight']."\";
	</script>\n

<script type='text/javascript' language='JavaScript' src='".MENUSCRIPTS."JSCookMenu.js'></script>
<script type='text/javascript' language='JavaScript' src='".MENUSCRIPTS."effect.js'></script>";
?>