<?php
/*--------------------------------------------------------------+
| DHTML MENU                              						|
+---------------------------------------------------------------|
| Copyright  2007 - 2008 Edan Boy Pedragosa alias HACKERSOFT	|
| Web: http://hackersoft.ath.cx									|
| E-Mail: edan_niva@yahoo.com									|
+---------------------------------------------------------------+
| JSCookMenu v2.0.3 Copyright 2002-2006							|
| By Heng Yuan													|
+---------------------------------------------------------------+
| This program is released as free software under the			|
| Affero GPL license. You can redistribute it and/or			|
| modify it under the terms of this license which you			|
| can read by viewing the included agpl.txt or online			|
| at www.gnu.org/licenses/agpl.html. Removal of this			|
| copyright header is strictly prohibited without				|
| written permission from the original author(s).				|
+---------------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!function_exists('DHTMLMenuFunctions')) {
	include INFUSIONS."dhtmlmenu/includes/functions.php";
}

if (!checkrights("HSDM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$count = 0;
if (file_exists(INFUSIONS."dhtmlmenu/locale/".$settings['locale'].".php")) {
	include INFUSIONS."dhtmlmenu/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."dhtmlmenu/locale/English.php";
}

if (iADMIN) {
	$curGroups = "101.102".$userdata['user_groups'];
} elseif (iMEMBER){
	$curGroups = "101".$userdata['user_groups'];
}

if (iSUPERADMIN || CheckAccessLevel($curGroups,$dhtmlmenuConfig['dhtmlmenu_UserAllowed'])) { //Show for allowed level
	//echo "<td valign='top' class='main-bg'>";
	echo "<a name=toppage></a>";
	echo "<script type='text/javascript' language='JavaScript' src='scripts/mbfunctions.js'></script>";
if (isset($_POST['menuToEdit']) && $_POST['menuToEdit'] == 1) {
	$save2File = INFUSIONS."dhtmlmenu/scripts/menus/" . $dhtmlmenuConfig['dhtmlmenu_panel_menuname']; 
} else {
	$save2File = INFUSIONS."dhtmlmenu/scripts/menus/" . $dhtmlmenuConfig['dhtmlmenu_header_menuname']; 
}

opentable($locale['dhtmlMenu105']);
	echo "<div align='center'><div id='showList'><button class='button' onClick =\"javascript:document.getElementById ('list').style.display='inline';document.getElementById ('showList').style.display='none';document.getElementById ('hideList').style.display='inline';\">".$locale['dhtmlMenu564']."</button></div>";

	echo "<div id='hideList' style='display:none;'><button class='button' onClick =\"javascript:document.getElementById ('list').style.display='none';document.getElementById ('showList').style.display='inline';document.getElementById ('hideList').style.display='none';\">".$locale['dhtmlMenu565']."</button></div></div><br />";

	echo "<div id='list' style='display:none;'>";
		echo "<table width='100%'  border='0' cellspacing='1' cellpadding='0' style='text-align:center;' class='tbl-border'>
				 <tr>
				<th style='border:0px;' class='forum-caption'><b>".$locale['dhtmlMenu561']."</b></th>
				<th style='border:0px;' class='forum-caption'><b>".$locale['dhtmlMenu562']."</b></th>
				<th style='border:0px;' class='forum-caption'><b>".$locale['dhtmlMenu563']."</b></th>
			</tr>";
		check_perms(INFUSIONS."dhtmlmenu/temp",'0777');
		check_perms(INFUSIONS."dhtmlmenu/images",'0777');
		check_perms(INFUSIONS."dhtmlmenu/scripts/menus",'0777');
		check_perms(INFUSIONS.'dhtmlmenu/scripts/menus/backup','0777');
		echo "</table>";
	echo "</div>";
closetable();

	if (isset($_POST['delete_file']) && $_POST['delete_file']) {
		if (file_exists(INFUSIONS."dhtmlmenu/images/".$_POST['delete_file'])) {
			unlink (INFUSIONS."dhtmlmenu/images/".$_POST['delete_file']);
		}
	}

	if (!isset($tmp_file)){
		$tmp_file = $save2File;
	}

	$fp = @fopen($tmp_file, "r"); 
	$tmp_file = fread($fp, filesize($tmp_file)); 
	$tmp_file = CleanUpCodeForTree($tmp_file);

	$loadTestFile = ReverseCleanUpCodeForTree($tmp_file);

	$lines = explode("\n", $tmp_file);
	$count = count($lines);
			$tmp_file = htmlspecialchars($tmp_file); 
			fclose($fp); 
	$line = "";
	for ($a = 1; $a < $count+1; $a++) {
	$line .= "$a\n";
	}

	if (isset($_POST['preview_menu']) && $_POST['codeArea']<>""){
		$tmp_file = htmlspecialchars(stripslashes($_POST['codeArea']));
	}

	if (isset($_POST['preview_menu']) && $_POST['codeArea']<>"" && $_POST['menuToEdit'] == 1){
		$PanelPreview = "<table cellpadding=0 cellspacing=0 width=100%><tr>";
		$PanelPreview .=  "<td class=scapmain>".$dhtmlmenuConfig['dhtmlmenu_NavPanelName']."</td>";
		$PanelPreview .=  "</tr></table>";
		$PanelPreview .=  "<table cellpadding=0 cellspacing=0 width=100% class=spacer><tr>";
		$PanelPreview .=  "<td class=side-body>";
		$PanelPreview .=  "<div id=myMenuIDL></div>";
		$PanelPreview .=  "</td></tr><tr><td style=height:3px;></td></tr></table>";
		$PanelPreview = str_replace("/", "\/", $PanelPreview);


			echo "<script type='text/javascript'>";
			echo "document.getElementById('side-border-left').innerHTML='".$PanelPreview."'";
			echo "</script>";

		//Clean the temp directory first
		foreach (glob(INFUSIONS."dhtmlmenu/temp/" . "*.js") as $file) {
		  unlink($file); 
		}

		//Assign a new $tmp_file so Browsers will retrieve the script from fresh file
		$CurrentTime = time();
		$tmpFile = INFUSIONS."dhtmlmenu/temp/". $CurrentTime . ".js";

		$codeArea = stripslashes($_POST['codeArea']); 
		$codeArea = ReverseCleanUpCodeForTree($codeArea); 
		$fp = @fopen($tmpFile, "w"); 
		if ($fp) { 
			fwrite($fp, $codeArea); 
			fclose($fp);
		} 

		echo "<script type='text/javascript' language='JavaScript' src='".MENUSCRIPTS."themepanel.js'></script>";
			echo "<script type='text/javascript' language='JavaScript' src='". MENUTEMP . $CurrentTime . ".js'></script>";
				if ($dhtmlmenuConfig['dhtmlmenu_panelNavigationEffect']==1){
					echo "<script language='JavaScript' type='text/javascript'>
					var prop = cmClone (cmThemeOffice);
					prop.effect = new CMSlidingEffect (8);
					cmDraw ('myMenuIDL', myMenu, 'vbr', prop, 'ThemeOffice');</script>";
				}elseif ($dhtmlmenuConfig['dhtmlmenu_panelNavigationEffect']==2){
					echo "<script language='JavaScript' type='text/javascript'>
					var prop = cmClone (cmThemeOffice);
					prop.effect = new CMFadingEffect (30, 80);
					cmDraw ('myMenuIDL', myMenu, 'vbr', prop, 'ThemeOffice');</script>";
				}elseif ($dhtmlmenuConfig['dhtmlmenu_panelNavigationEffect']==0){
					echo "<script language='JavaScript' type='text/javascript'>
					cmDraw ('myMenuIDL', myMenu, 'vbr', cmThemeOffice, 'ThemeOffice');</script>";
				}
	}

	opentable ($locale['dhtmlMenu102']);
	
	echo "
	<table align=\"center\" cellpadding=\"0\" cellspacing=\"1\" class=\"tbl-border\"><tr>
	<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=1'>".$locale['dhtmlMenu547a']."</a></span></td>
	<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=2'>".$locale['dhtmlMenu547b']."</a></span></td>
	<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=3'>".$locale['dhtmlMenu547c']."</a></span></td>
	<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=4'>".$locale['dhtmlMenu547d']."</a></span></td>
	<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".INFUSIONS."dhtmlmenu/menubuilder.php$aidlink#configuration'>".$locale['dhtmlMenu548']."</a></span></td>
	<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."index.php'>".$locale['dhtmlMenu549']."</a></span></td>
	</tr></table>
	";
	

	$user_groups = getusergroups();
	$levelcount = count($user_groups);
	$leveldiv = round($levelcount / 3);
	$leveldiv2 = $leveldiv * 2;

	$divchecker = 0;
	$group_list = "";
	$GroupTableList1 = "";
	$GroupTableList2 = "";
	$GroupTableList3 = "";
	$RowStyle = 1;

	while (list ($key, $user_group) = each($user_groups)) {
		//$group_list .= "<option value='" . $user_group['0'] . "'$sel>" . $user_group['1'] . "</option>\n";
		
		$divchecker += 1;

		if ($leveldiv >= $divchecker) {
			if ($RowStyle == 1) {
				$RowStyle = 2;
			} else {
				$RowStyle = 1;
			}
			$GroupTableList1 .= "<tr><td class='tbl$RowStyle' align='center'><input id='CID".$user_group['0']."' type='checkbox' onClick=\" SelectUnselectLevels('".$user_group['0']."' ) \"/></td><td align='left' class='tbl$RowStyle'>".$user_group['1']."</td>";
		} elseif ($leveldiv2 >= $divchecker) { 
			if ($RowStyle == 1) {
				$RowStyle = 2;
			} else {
				$RowStyle = 1;
			}
			$GroupTableList2 .= "<tr><td class='tbl$RowStyle' align='center'><input id='CID".$user_group['0']."' type='checkbox' onClick=\" SelectUnselectLevels('".$user_group['0']."' ) \"/></td><td align='left' class='tbl$RowStyle'>".$user_group['1']."</td>";		
		} else {
			if ($RowStyle == 1) {
				$RowStyle = 2;
			} else {
				$RowStyle = 1;
			}
			$GroupTableList3 .= "<tr><td class='tbl$RowStyle' align='center'><input id='CID".$user_group['0']."' type='checkbox' onClick=\" SelectUnselectLevels('".$user_group['0']."' ) \"/></td><td align='left' class='tbl$RowStyle'>".$user_group['1']."</td>";
		}
	} 

	echo "<hr />
	<form name='menuToEditSelectForm' method='post' action='".FUSION_SELF.$aidlink."'>
	<div align='right'>
	<table>
		<tr>
			<td>".$locale['dhtmlMenu555']."</td>
			<td>
				<select id='menuToEdit' name='menuToEdit' class='textbox' style='width: 200px;'>";
					if ($_POST['menuToEdit'] == 1 ) {
						echo "<option value='0'>".$locale['dhtmlMenu556']."</option>
							  <option value='1' Selected>".$locale['dhtmlMenu557']."</option>";
					} else {
						echo "<option value='0' Selected>".$locale['dhtmlMenu556']."</option>
							  <option value='1'>".$locale['dhtmlMenu557']."</option>";
					}
				echo "</select>
				<input type='submit' name='MenuChange' value='".$locale['dhtmlMenu558']."' />
			</td>
		</tr>
	</table>
	</div>
	</form>

	<form name='codeAreaForm' id='codeAreaForm' method='post' action='".FUSION_SELF.$aidlink."'>
	<div align='center'>
	<table width='100%' class='textbox'>
	<tr>
		<td align='center'>".$locale['dhtmlMenu500']."</td>
		<td align='center'>".$locale['dhtmlMenu501']."</td>
		<td align='center'>".$locale['dhtmlMenu502']."</td>
		<td align='center'>".$locale['dhtmlMenu503']."</td>
		<td align='center'>".$locale['dhtmlMenu504']."</td>
		<td rowspan='2'>
			<div id='access_hide' title='".$locale['dhtmlMenu545']."' style='cursor: pointer; display: inline;' onClick=\"javascript:document.getElementById ('GroupSelector').style.display='none';document.getElementById ('access_show').style.display='inline';document.getElementById ('access_hide').style.display='none';\" >
				<img src='".INFUSIONS."dhtmlmenu/images/misc/access_hide.gif' alt='".$locale['dhtmlMenu545']."' />
			</div>

			<div id='access_show' title='".$locale['dhtmlMenu545']."' style='cursor: pointer; display: inline;' onClick=\"javascript:document.getElementById ('GroupSelector').style.display='inline';document.getElementById ('access_show').style.display='none';document.getElementById ('access_hide').style.display='inline';\">
				<img src='".INFUSIONS."dhtmlmenu/images/misc/access_show.png' alt='".$locale['dhtmlMenu545']."' />
			</div>
			<script type='text/javascript' language='javascript'>
				document.getElementById ('access_hide').style.display='none';
			</script>
		</td>	
	</tr>

	<tr>
		<td width='20%'><input class='textbox' style='width: 100%;' id='icon' type='text' /></td>
		<td width='20%'><input class='textbox' style='width: 100%;' id='title' type='text' /></td>
		<td width='20%'><input class='textbox' style='width: 100%;' id='link' type='text' /></td>
		<td width='10%'><input class='textbox' style='width: 100;' id='target' value='_self' type='text' /></td>
		<td width='30%'><input class='textbox' style='width: 97%;' id='descript' type='text' /></td>
	</tr>

	<tr>
		<td colspan=6>
			<input id='vis' style='display: none;' name='vis[]' value='.'/>
			<div style='width:100%; height:200px;overflow:auto; overflow-x: hidden; display:none;' id='GroupSelector'>
				<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr>
					<td valign='top' class='tbl1'>
						<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
							<tr>
								<td class='forum-caption' align='center' width='50'>
									".$locale['dhtmlMenu545']."
								</td>

								<td class='forum-caption' align='center'>
									".$locale['dhtmlMenu545b']."
								</td>
							</tr>
							$GroupTableList1
						</table>
					</td>
					<td valign='top' class='tbl1'>
						<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
							<tr>
								<td class='forum-caption' align='center' width='50'>
									".$locale['dhtmlMenu545']."
								</td>

								<td class='forum-caption' align='center'>
									".$locale['dhtmlMenu545b']."
								</td>
							</tr>
							$GroupTableList2
						</table>
					</td>

					<td valign='top' class='tbl1'>
						<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
							<tr>
								<td class='forum-caption' align='center' width='50'>
									".$locale['dhtmlMenu545']."
								</td>

								<td class='forum-caption' align='center'>
									".$locale['dhtmlMenu545b']."
								</td>
							</tr>
							$GroupTableList3
						</table>
					</td>
					</tr>
				</table>
			</div>
		</td>
	</tr>

	</table>
	</div>
	<hr />
	<table width='100%' cellpadding='0' cellspacing='0'>
	<tr><td>
			<select class='textbox' disabled style='font-family: arial; font-size: 10pt; width: 99%;'>
<option>0&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;&nbsp;&nbsp;4&nbsp;&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;&nbsp;&nbsp;6&nbsp;&nbsp;&nbsp;&nbsp;7&nbsp;&nbsp;&nbsp;&nbsp;8&nbsp;&nbsp;&nbsp;&nbsp;9&nbsp;&nbsp;&nbsp;&nbsp;10&nbsp;&nbsp;&nbsp;&nbsp;11&nbsp;&nbsp;&nbsp;&nbsp;12&nbsp;&nbsp;&nbsp;&nbsp;13&nbsp;&nbsp;&nbsp;&nbsp;14&nbsp;&nbsp;&nbsp;&nbsp;15&nbsp;&nbsp;&nbsp;&nbsp;16&nbsp;&nbsp;&nbsp;&nbsp;17&nbsp;&nbsp;&nbsp;&nbsp;18&nbsp;&nbsp;&nbsp;&nbsp;19&nbsp;&nbsp;&nbsp;&nbsp;20&nbsp;&nbsp;&nbsp;&nbsp;21&nbsp;&nbsp;&nbsp;&nbsp;22&nbsp;&nbsp;&nbsp;&nbsp;23&nbsp;&nbsp;&nbsp;&nbsp;24&nbsp;&nbsp;&nbsp;&nbsp;25&nbsp;&nbsp;&nbsp;&nbsp;26&nbsp;&nbsp;&nbsp;&nbsp;27&nbsp;&nbsp;&nbsp;&nbsp;28&nbsp;&nbsp;&nbsp;&nbsp;29&nbsp;&nbsp;&nbsp;&nbsp;30&nbsp;&nbsp;&nbsp;&nbsp;31&nbsp;&nbsp;&nbsp;&nbsp;32&nbsp;&nbsp;&nbsp;&nbsp;33&nbsp;&nbsp;&nbsp;&nbsp;34&nbsp;&nbsp;&nbsp;&nbsp;35&nbsp;&nbsp;&nbsp;&nbsp;36&nbsp;&nbsp;&nbsp;&nbsp;37&nbsp;&nbsp;&nbsp;&nbsp;38&nbsp;&nbsp;&nbsp;&nbsp;39&nbsp;&nbsp;&nbsp;&nbsp;40&nbsp;&nbsp;&nbsp;&nbsp;41&nbsp;&nbsp;&nbsp;&nbsp;42&nbsp;&nbsp;&nbsp;&nbsp;43&nbsp;&nbsp;&nbsp;&nbsp;44&nbsp;&nbsp;&nbsp;&nbsp;45&nbsp;&nbsp;&nbsp;&nbsp;46&nbsp;&nbsp;&nbsp;&nbsp;47&nbsp;&nbsp;&nbsp;&nbsp;48&nbsp;&nbsp;&nbsp;&nbsp;49&nbsp;&nbsp;&nbsp;&nbsp;50</option>
			</select>
		</td>
			<td  width='3%'></td>
		</tr>

	<tr>
		<td id='treeTD' width='95%' valign='top'>
			<select id='treeArea' size='20' style='font-family: arial; font-size: 10pt; width: 99%;'>
			</select>
		</td>

		<td align='left' valign='top' width='5%'>
			<input style='width: 95px' value='".$locale['dhtmlMenu505']."' onclick='mbAddNode ()'  onmouseover='mbModify ()' type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu506']."' onclick='mbAddChild ()'  onmouseover='mbModify ()' type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu507']."' onclick='mbAddSplit ()'  onmouseover='mbModify ()' type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu508']."' onclick='mbModify ()'  type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu509']."' onclick='mbMoveUp ()'  onmouseover='mbModify ()' type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu510']."' onclick='mbMoveDown ()'  onmouseover='mbModify ()' type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu511']."' onclick='mbIndent ()'  onmouseover='mbModify ()' type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu512']."' onclick='mbUnindent ()'  onmouseover='mbModify ()' type='button' />
			<hr />
			<input style='width: 95px' value='".$locale['dhtmlMenu513']."' onclick='mbDelete ()'  type='button' /><br />
			<input style='width: 95px' value='".$locale['dhtmlMenu514a']."' onclick='mbClearTree ()'  type='reset' />
			<hr />
			<input style='width: 95px' name='preview_menu' value='".$locale['dhtmlMenu516']."' onClick='mbPreview()' onmouseover='mbModify ()' type='submit' /><br />
			<input style='width: 95px' name='save_menu' value='".$locale['dhtmlMenu517']."' onClick='mbSave()' onmouseover='mbModify ()' type='submit' /><br />
		</td>

	</tr>
	</table><hr />";

	include_once BASEDIR."infusions/dhtmlmenu/includes/imagelist.php";

	echo "<table summary='two column layout' width='100%'>
	<tr><td colspan='2'><hr /></td></tr>
	<tr>
		<td colspan='1' width='100%'>
			<textarea id='codeArea' cols='80' name='codeArea' rows='10' style='width: 100%; font-size: 100%;'></textarea>
		</td>
		<td align='center' valign='top'>
			<input style='width: 80px' value='".$locale['dhtmlMenu515']."' onclick='mbShowCode ()'  type='button' /><br />
			<input style='width: 80px' value='".$locale['dhtmlMenu514b']."'  type='reset' /><br />
			<input style='width: 80px' value='".(isset($_POST['menuToEdit']) ? $_POST['menuToEdit'] : 0)."' name='menuToEdit' type='hidden' /><br />
			<input value='' name='file_delete' id='file_delete' type='hidden' /><br />
			<input value='' name='delete_file' id='delete_file' type='hidden' /><br />
		</td>
	</tr>
	</table>
	<hr />

	<textarea id='importArea' cols='80' rows='1' style='visibility: hidden; width: 100%; height:1; font-size: 14;'> $tmp_file
	</textarea></form>
	";

	//Adding Image Upload Option
	if ($dhtmlmenuConfig['dhtmlmenu_EnableUploads']==1){
		$filecount = 15; 
		$tsplit = 2;
		$file_dir  = INFUSIONS."dhtmlmenu/images/"; 
		if (isset($_POST['UploadImages']) && $_POST['UploadImages']) { 
			for ($i=0;$i<$filecount;$i++) { 
				if (trim($_FILES['myfiles']['name'][$i])!="") { 
					$newfile = $file_dir.$_FILES['myfiles']['name'][$i]; 
						if (strstr(strtolower($newfile),".png")) {
							if (!file_exists(INFUSIONS."dhtmlmenu/images/".$_FILES['myfiles']['name'][$i])) {
								move_uploaded_file($_FILES['myfiles']['tmp_name'][$i], $newfile); 
								$AddCount++;
								$FilesUploaded[]=$_FILES['myfiles']['name'][$i];
							}
						} elseif (strstr(strtolower($newfile),".gif")) {
							if (!file_exists(INFUSIONS."dhtmlmenu/images/".$_FILES['myfiles']['name'][$i])) {
								move_uploaded_file($_FILES['myfiles']['tmp_name'][$i], $newfile); 
								$AddCount++; 
								$FilesUploaded[]=$_FILES['myfiles']['name'][$i];
							}
						} elseif (strstr(strtolower($newfile),".jpg")) {
							if (!file_exists(INFUSIONS."dhtmlmenu/images/".$_FILES['myfiles']['name'][$i])) {
								move_uploaded_file($_FILES['myfiles']['tmp_name'][$i], $newfile); 
								$AddCount++; 
								$FilesUploaded[]=$_FILES['myfiles']['name'][$i];
							}
						} // end CHECKING Allowed Files
				} 
			} 
		} 

	echo $locale['dhtmlMenu404'];
			echo "<div align='center'><form method='post' enctype='multipart/form-data' action='".FUSION_SELF.$aidlink."'><table><tr>"; 
			
			for($i=0;$i<$filecount;$i++) { 
				echo "<td><input type='file' name='myfiles[]' size='30' /><br /></td>";
				if ($i == $tsplit && $i < 14) {
					echo "</tr><tr>";
					$tsplit += 3;
				}
			} 
			
				if (isset($AddCount)) {
					for($i=0;$i<count($FilesUploaded);$i++) { 
						$NewFiles .= $FilesUploaded[$i] . "|"; 
					} 
					redirect(FUSION_SELF.$aidlink."&amp;FilesUploaded=".$NewFiles);
				}

				echo "<tr><td colspan='3' align='center'><input type='submit' name='UploadImages' value='".$locale['dhtmlMenu518']."' /></td></tr>"; 
				
				if (isset($_GET['FilesUploaded'])){
					echo "<tr><td colspan='3' >".$locale['dhtmlMenu540']."<br />";
						echo "|" . $_GET['FilesUploaded']; 
					echo "</td></tr>";
					$FilesUploaded="";
				} else {

					$FilesUploaded="";
				}
			echo "</table></form></div>"; 
	}//end checking if uploading enabled
	//end Image Add Option

	closetable();
		if (isset($_POST['SaveConfig'])) {
			$result = dbquery("UPDATE ".$db_prefix."dhtmlmenuConfig 
			SET 
				dhtmlmenu_UserAllowed='".$_POST['UserAllowed']."', 
				dhtmlmenu_NavEnabled='".$_POST['NavEnabled']."',
				dhtmlmenu_EnableUploads='".$_POST['EnableUploads']."',
				dhtmlmenu_NavBGColor='".$_POST['NavBGColor']."', 
				dhtmlmenu_mainItemBGColor='".$_POST['mainItemBGColor']."',
				dhtmlmenu_mainHoverBGColor='".$_POST['mainHoverBGColor']."',
				dhtmlmenu_mainItemFontSize='".$_POST['mainItemFontSize']."', 
				dhtmlmenu_mainItemFontColor='".$_POST['mainItemFontColor']."',
				dhtmlmenu_mainHoverFontColor='".$_POST['mainHoverFontColor']."',
				dhtmlmenu_panelmainItemFontColor='".$_POST['panelmainItemFontColor']."',
				dhtmlmenu_panelmainHoverFontColor='".$_POST['panelmainHoverFontColor']."',
				dhtmlmenu_mainItemHeight='".$_POST['mainItemHeight']."', 
				dhtmlmenu_menuItemBGColor='".$_POST['menuItemBGColor']."',
				dhtmlmenu_menuHoverBGColor='".$_POST['menuHoverBGColor']."',
				dhtmlmenu_menuItemFontSize='".$_POST['menuItemFontSize']."', 
				dhtmlmenu_menuItemFontColor='".$_POST['menuItemFontColor']."',
				dhtmlmenu_menuHoverFontColor='".$_POST['menuHoverFontColor']."',
				dhtmlmenu_menuItemHeight='".$_POST['menuItemHeight']."',
				dhtmlmenu_NavPanelName='".$_POST['NavPanelName']."',
				dhtmlmenu_NavigationPanel='".$_POST['NavigationPanel']."',
				dhtmlmenu_mainItemWidth='".$_POST['mainItemWidth']."', 
				dhtmlmenu_menuItemWidth='".$_POST['menuItemWidth']."',
				dhtmlmenu_mainNavigationEffect='".$_POST['dhtmlEffect']."',
				dhtmlmenu_panelNavigationEffect='".$_POST['panelEffect']."',
				dhtmlmenu_adminNavigationEffect='".$_POST['adminEffect']."',
				dhtmlmenu_menuItemMOBorderColor='".$_POST['NavMOBorderColor']."',
				dhtmlmenu_menuItemMOLineStyle='".$_POST['NavMOLineStyle']."'
				WHERE dhtmlmenu_id=1");

			$result = dbquery("UPDATE ".$db_prefix."panels SET panel_status='".$_POST['NavigationPanel']."' WHERE panel_filename='dhtmlmenu_panel'");
			$dhtmlmenuConfig = dbarray(dbquery("SELECT * FROM ".$db_prefix."dhtmlmenuConfig"));
			//redirect (INFUSIONS."dhtmlmenu/menubuilder.php");
		} //end if SaveConfig click
				echo "<a name=configuration></a>";
				opentable($locale['dhtmlMenu103']);
				echo "<form class='textbox' name='ConfigurationForm' method='post' action='".FUSION_SELF.$aidlink."'>
				<div align='center' style='padding: 5px;'><p class='textbox'><b>".$locale['dhtmlMenu519']."</b></p></div>
				<table align='center'><tr>
						<td><input type='radio' name='UserAllowed' value='101' ";
							if ($dhtmlmenuConfig['dhtmlmenu_UserAllowed']=="101"){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu520']."</td>
						<td><input type='radio' name='UserAllowed' value='102' ";
							if ($dhtmlmenuConfig['dhtmlmenu_UserAllowed']=="102"){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu521']."</td>
						<td><input type='radio' name='UserAllowed' value='103' ";
							if ($dhtmlmenuConfig['dhtmlmenu_UserAllowed']=="103"){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu522']."</td> 
				</tr></table>

				<div align='center' style='padding: 5px;'><p class='textbox'><b>".$locale['dhtmlMenu523']."</b></p>";

				//File Uploads
				if ($dhtmlmenuConfig['dhtmlmenu_EnableUploads']==1){
					echo"<table><tr>
						<td><input type='radio' name='EnableUploads' value=1 Checked /></td><td>".$locale['dhtmlMenu525']."</td>
						<td><input type='radio' name='EnableUploads' value=0 /></td><td>".$locale['dhtmlMenu526']."</td>
						</tr></table>";
				} else {
					echo"<table><tr>
						<td><input type='radio' name='EnableUploads' value=1 /></td><td>".$locale['dhtmlMenu525']."</td>
						<td><input type='radio' name='EnableUploads' value=0 Checked /></td><td>".$locale['dhtmlMenu526']."</td>
						</tr></table>";
				}//end file uploads

				//Navigation Panel
				echo "<p class='textbox'><b>".$locale['dhtmlMenu542']."</b></p>";

				if ($dhtmlmenuConfig['dhtmlmenu_NavigationPanel']==1){
					echo"<table><tr>
						<td><input type='radio' name='NavigationPanel' value=1 Checked /></td><td>".$locale['dhtmlMenu525']."</td>
						<td><input type='radio' name='NavigationPanel' value=0 /></td><td>".$locale['dhtmlMenu526']."</td>
						</tr></table>";
				} else {
					echo"<table><tr>
						<td><input type='radio' name='NavigationPanel' value=1 /></td><td>".$locale['dhtmlMenu525']."</td>
						<td><input type='radio' name='NavigationPanel' value=0 Checked /></td><td>".$locale['dhtmlMenu526']."</td>
						</tr></table>";
				}//end navigation panel

				//DHTML Menu
				echo "<p class='textbox'><b>".$locale['dhtmlMenu524']."</b></p>";

				if ($dhtmlmenuConfig['dhtmlmenu_NavEnabled']==1){
					echo"<table><tr>
						<td><input type='radio' name='NavEnabled' value=1 Checked /></td><td>".$locale['dhtmlMenu525']."</td>
						<td><input type='radio' name='NavEnabled' value=0 /></td><td>".$locale['dhtmlMenu526']."</td>
						</tr></table>";
				} else {
					echo"<table><tr>
						<td><input type='radio' name='NavEnabled' value=1 /></td><td>".$locale['dhtmlMenu525']."</td>
						<td><input type='radio' name='NavEnabled' value=0 Checked /></td><td>".$locale['dhtmlMenu526']."</td>
						</tr></table>";
				}// dhtml menu

				//DHTML MENU EFFECT
				echo "<div align='center'><p class='textbox'><b>".$locale['dhtmlMenu551']."</b></p></div>
				<table align='center'><tr>
						<td><input type='radio' name='dhtmlEffect' value='0' ";
							if ($dhtmlmenuConfig['dhtmlmenu_mainNavigationEffect']==0){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554a']."</td>
						<td><input type='radio' name='dhtmlEffect' value='1' ";
							if ($dhtmlmenuConfig['dhtmlmenu_mainNavigationEffect']==1){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554b']."</td>
						<td><input type='radio' name='dhtmlEffect' value='2' ";
							if ($dhtmlmenuConfig['dhtmlmenu_mainNavigationEffect']==2){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554c']."</td> 
				</tr></table>";

				//PANEL EFFECT
				echo "<div align='center'><p class='textbox'><b>".$locale['dhtmlMenu552']."</b></p></div>
				<table align='center'><tr>
						<td><input type='radio' name='panelEffect' value='0' ";
							if ($dhtmlmenuConfig['dhtmlmenu_panelNavigationEffect']==0){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554a']."</td>
						<td><input type='radio' name='panelEffect' value='1' ";
							if ($dhtmlmenuConfig['dhtmlmenu_panelNavigationEffect']==1){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554b']."</td>
						<td><input type='radio' name='panelEffect' value='2' ";
							if ($dhtmlmenuConfig['dhtmlmenu_panelNavigationEffect']==2){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554c']."</td> 
				</tr></table>";


				//ADMIN EFFECT
				echo "<div align='center'><p class='textbox'><b>".$locale['dhtmlMenu553']."</b></p></div>
				<table align='center'><tr>
						<td><input type='radio' name='adminEffect' value='0' ";
							if ($dhtmlmenuConfig['dhtmlmenu_adminNavigationEffect']==0){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554a']."</td>
						<td><input type='radio' name='adminEffect' value='1' ";
							if ($dhtmlmenuConfig['dhtmlmenu_adminNavigationEffect']==1){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554b']."</td>
						<td><input type='radio' name='adminEffect' value='2' ";
							if ($dhtmlmenuConfig['dhtmlmenu_adminNavigationEffect']==2){
								echo "Checked";
							}
						echo " /></td> 
						<td>".$locale['dhtmlMenu554c']."</td> 
				</tr></table>";

				echo "<hr /><table>
				<tr>
					<td>".$locale['dhtmlMenu527']."</td>
					<td><input class='textbox'  type='text' name='mainItemBGColor' value='".$dhtmlmenuConfig['dhtmlmenu_mainItemBGColor']."' /></td>

					<td>".$locale['dhtmlMenu533']."</td>
					<td><input class='textbox'  type='text' name='menuItemBGColor' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemBGColor']."' /></td>

				</tr>

				<tr>
					<td>".$locale['dhtmlMenu528']."</td>
					<td><input class='textbox'  type='text' name='mainHoverBGColor' value='".$dhtmlmenuConfig['dhtmlmenu_mainHoverBGColor']."' /></td>

					<td>".$locale['dhtmlMenu534']."</td>
					<td><input class='textbox'  type='text' name='menuHoverBGColor' value='".$dhtmlmenuConfig['dhtmlmenu_menuHoverBGColor']."' /></td>
				</tr>

				<tr>
					<td>".$locale['dhtmlMenu529']."</td>
					<td><input class='textbox'  type='text' name='mainItemFontSize' value='".$dhtmlmenuConfig['dhtmlmenu_mainItemFontSize']."' /></td>

					<td>".$locale['dhtmlMenu535']."</td>
					<td><input class='textbox'  type='text' name='menuItemFontSize' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemFontSize']."' /></td>
				</tr>

				<tr>
					<td>".$locale['dhtmlMenu530']."</td>
					<td><input class='textbox'  type='text' name='mainItemFontColor' value='".$dhtmlmenuConfig['dhtmlmenu_mainItemFontColor']."' /></td>

					<td>".$locale['dhtmlMenu536']."</td>
					<td><input class='textbox'  type='text' name='menuItemFontColor' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemFontColor']."' /></td>
				</tr>

				<tr>
					<td>".$locale['dhtmlMenu532']."</td>
					<td><input class='textbox'  type='text' name='mainHoverFontColor' value='".$dhtmlmenuConfig['dhtmlmenu_mainHoverFontColor']."' /></td>
					<td>".$locale['dhtmlMenu532b']."</td>
					<td><input class='textbox'  type='text' name='menuHoverFontColor' value='".$dhtmlmenuConfig['dhtmlmenu_menuHoverFontColor']."' /></td>
				</tr>


				<tr>
					<td>".$locale['dhtmlMenu559']."</td>
					<td><input class='textbox'  type='text' name='panelmainItemFontColor' value='".$dhtmlmenuConfig['dhtmlmenu_panelmainItemFontColor']."' /></td>

					<td>".$locale['dhtmlMenu560']."</td>
					<td><input class='textbox'  type='text' name='panelmainHoverFontColor' value='".$dhtmlmenuConfig['dhtmlmenu_panelmainHoverFontColor']."' /></td>
				</tr>

				<tr>
					<td>".$locale['dhtmlMenu531']."</td>
					<td><input class='textbox'  type='text' name='mainItemHeight' value='".$dhtmlmenuConfig['dhtmlmenu_mainItemHeight']."' /></td>

					<td>".$locale['dhtmlMenu537']."</td>
					<td><input class='textbox'  type='text' name='menuItemHeight' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemHeight']."' /></td>
				</tr>

				<tr>
					<td>".$locale['dhtmlMenu543']."</td>
					<td><input class='textbox'  type='text' name='mainItemWidth' value='".$dhtmlmenuConfig['dhtmlmenu_mainItemWidth']."' /></td>

					<td>".$locale['dhtmlMenu544']."</td>
					<td><input class='textbox'  type='text' name='menuItemWidth' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemWidth']."' /></td>
				</tr>

				<tr>
					<td>".$locale['dhtmlMenu538']."</td>
					<td><input class='textbox'  type='text' name='NavBGColor' value='".$dhtmlmenuConfig['dhtmlmenu_NavBGColor']."' /></td>
					<td>".$locale['dhtmlMenu541']."</td>
					<td><input class='textbox'  type='text' name='NavPanelName' value='".$dhtmlmenuConfig['dhtmlmenu_NavPanelName']."' /></td>
				</tr>

				<tr>
					<td>Mouse Over Item Border Color</td>
					<td><input class='textbox'  type='text' name='NavMOBorderColor' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemMOBorderColor']."' /></td>
					<td>Mouse Over Item Line Style</td>
					<td><input class='textbox'  type='text' name='NavMOLineStyle' value='".$dhtmlmenuConfig['dhtmlmenu_menuItemMOLineStyle']."' /></td>
				</tr>

				</table>";

					echo "<input type='submit' name='SaveConfig' value='".$locale['dhtmlMenu539']."' />"; 

				echo "</div>
				<input style='width: 80px' value='".(isset($_POST['menuToEdit']) ? $_POST['menuToEdit'] : 0)."' name='menuToEdit' type='hidden' /><br />
				<input style='width: 80px' value='SaveConfig' name='save_menu' type='hidden' /><br />
				</form>
				";
				
				echo "<br />
				<table align=\"center\" cellpadding=\"0\" cellspacing=\"1\" class=\"tbl-border\"><tr>
				<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=1'>".$locale['dhtmlMenu547a']."</a></span></td>
				<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=2'>".$locale['dhtmlMenu547b']."</a></span></td>
				<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=3'>".$locale['dhtmlMenu547c']."</a></span></td>
				<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."administration/index.php$aidlink&amp;pagenum=4'>".$locale['dhtmlMenu547d']."</a></span></td>
				<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".INFUSIONS."dhtmlmenu/menubuilder.php$aidlink#toppage'>".$locale['dhtmlMenu550']."</a></span></td>
				<td class=\"textbox\" style=\"padding-left:10px;padding-right:10px;\"><span class=\"small\"><a href='".BASEDIR."index.php'>".$locale['dhtmlMenu549']."</a></span></td>
				</tr></table>
				";

				closetable();

			echo "<script type='text/javascript'>";
			echo "mbImport();";
			echo "</script>";
} else { //if not allowed show
	render_left();
	opentable($locale['dhtmlMenu102']);
		echo $locale['dhtmlMenu401'];
	closetable();
	render_right();

} //end if not allowed
require_once THEMES."templates/footer.php";
?>